Subject: Comments on draft-iyengar-quic-loss-recovery-01

From: Ingemar Johansson S <[email-masked]>
Date: Mon, 28 Nov 2016 09:57:09 +0000

Hi

Thanks for submitting this draft, understand that this is early work but nevertheless, a few comments.

Being an ECN geek, I wonder if ECN should be covered in this document. There is a fair amount of activites in this area so one follow up question is to what extent new work should be included (Alternate backoff, L4S...)

The dependency on retransmittable packets  confuses me, consider that QUIC is modified for unreliable transmission mode, I would still guess that successful reception of packets belonging to an unrealiable stream will still be ACKed to the sender, to keep the transmission and congestion control in healthy condition.

Lost packets detection: I was earlier under the impression that loss detection in QUIC is time based (RACK). The document however makes me believe that it is based on a reordering_threshold counted in packets. I guess I misunderstood things here ?

Section 2.1.2 No Reneging..
Despite having tried delve into the inner secrets of SACK and digging into the Linux TCP stack I still cannot say that I really understand reneging and the implications of it. Is there a good source that explains this in more detail ?. If so then first of all I am interested to read it and secondly it could  be good to reference.

Section 3.1
"reordering_threshold" : It is here unclear if the unit is time or packets. Given the rest of the text I assume that the unit is packets ?.

/Ingemar
==================================
Ingemar Johansson  M.Sc.
Master Researcher

Ericsson AB
Wireless Access Networks
Labratoriegränd 11
971 28, Luleå, Sweden
Phone +46-1071 43042
SMS/MMS +46-73 078 3289
[email-masked]<mailto:[email-masked]>
www.ericsson.com

     No, you can´t tell people anything
         You've got to show 'em
              Bruce Springsteen
==================================